﻿<!-- ====================================================================
|                                                                       |
|     $Source: pdok.xslt
|   $Revision: 1.0 $
|       $Date: 20208/08/12
|
|  The property "rdf_seealso" is a hyerlink.
|                                                                       |
===================================================================== -->
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" encoding="UTF-8"/>

<xsl:template match="/">
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>    
<STYLE>
table
        {
        width: 100%; /* Forces tables to have correct right margin */
        margin-top: 0;
        margin-bottom: 0;
        font:x-small 'Verdana'
        font-size: 100%; /* Text in Table is same size as text outside table */
        background-color: #1A1E4F;   /* #ffffff;  */
        border-style: solid;
        border-color: #000000;
        padding: 1pt 3pt;
        }
th, td
        { 
        border-width: 1;
        border-style: none; /* Creates the cell border and color */
        border-color: #000000;
        padding: 1pt 3pt;
        text-align: left;
        margin-left: 6pt;
        }
.head 
        {
        border-width: 1;
        border-style: solid; /* Creates the cell border and color */
        background-color:  #1A1E4F;   /* #3077AF; */
        color: #ffffff;
        padding: 1pt 3pt;
        margin-left: 6pt;
        }
.r0     
        {
        border-width: 1;
        background-color: #ffffff; /* #f9f9f9 */
        border-style: none; /* Creates the cell border and color */
        padding: 1pt 3pt;
        margin-left: 6pt;
        }
.r1     
        {
        border-width: 1;
        border-style: none; /* Creates the cell border and color */
        background-color: #f1f1f1; /* #f7f7e7*/
        padding: 1pt 3pt;
        margin-left: 6pt;
        }
.feature
        {
        border-width: 1;
        border-style: none; /* Creates the cell border and color */
        background-color:  #0000aa;
        color: #ffff00;
        font-weight: bold;
        text-align: center;
        padding: 1pt 3pt;
        margin-left: 6pt;
        }
.expand 
        {
        border-width: 1;
        border-style: none; /* Creates the cell border and color */
        background-color: #E2E2FE;
        padding: 1pt 3pt;
        text-align: center;
        margin-left: 6pt;
        }
</STYLE>
         
                         

        
<SCRIPT>
<xsl:comment>
<![CDATA[
function toggle (strTag, displayMode)
    {
    var elem = document.getElementsByTagName (strTag);
    
    for (var i = 0; i < elem.length; i++)
       {
       if(elem[i].getAttribute('id') != "controls")
          {
          elem[i].style.display = displayMode;
          }
       }
    }

function exp (strTag, strAttribute) // exp('tr','exp4')
    {
    var elem = document.getElementsByTagName (strTag);
    var elem1 = window.event.srcElement;
    
    for (var i = 0; i < elem1.children.length; i++)
        {
        elem1.children[i].innerText == "4" ? elem1.children[i].innerText = "5" : elem1.children[i].innerText = "4";
        }
    
    for (var i = 0; i < elem.length; i++)
        {
        if(elem[i].getAttribute(strAttribute) == "yes")
            {
            elem[i].style.display == 'none'? elem[i].style.display = 'block' : elem[i].style.display = 'none';
            }
        }
    }
]]>
</xsl:comment>
</SCRIPT>
</HEAD>

<BODY>
    <xsl:for-each select="*">
        <table width="100%" CELLSPACING="0" CELLPADDING="0" BORDER="1">
            <tr class="feature" style="display:block;">
            <xsl:choose>
                <xsl:when test="@displayName">
                    <td class="feature" colspan="2"><xsl:value-of select="@displayName"/></td>
                </xsl:when>
                <xsl:otherwise>
                    <td class="feature" colspan="2"><xsl:value-of select="name()"/></td>
                </xsl:otherwise>
            </xsl:choose>
            </tr>
            <tr class="head" style="display:block;">
               <td>Property</td>
               <td>Value</td>
            </tr>
            <xsl:apply-templates select="*">
               <xsl:with-param name="tag">exp<xsl:value-of select="generate-id()"/></xsl:with-param>
            </xsl:apply-templates>
        </table>
    </xsl:for-each>
</BODY>
</HTML>
</xsl:template>

<!-- Template for elements with element children -->
<xsl:template match="*">
    <xsl:param name="tag"/>
 
        <xsl:variable name="PropName">
            <xsl:choose>
                <xsl:when test="@displayName">
                    <xsl:value-of select="@displayName"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="name()"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
 
       <xsl:element name="tr">
       <xsl:attribute name="{$tag}">yes</xsl:attribute>
       <xsl:attribute name="class">r<xsl:value-of select="position() mod 2"/></xsl:attribute>
       <xsl:attribute name="style">display:block;</xsl:attribute>
          <xsl:choose>
          <xsl:when test="name()='rdf_seealso'">
            <td><xsl:value-of select="name()"/></td>
            <td><a target="_blank"><xsl:attribute name="href"><xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></a></td>
          </xsl:when>
          <xsl:otherwise>
              <td><xsl:value-of select="$PropName"/></td>
              <td><xsl:value-of select="."/></td>
          </xsl:otherwise>
          </xsl:choose>
       </xsl:element>
</xsl:template>

<!-- Template for elements with element children -->
<xsl:template match="*[*]">
    <xsl:param name="tag"/>

    <xsl:variable name="newtag">exp<xsl:value-of select="generate-id()"/></xsl:variable>

    <xsl:variable name="PropName">
        <xsl:choose>
            <xsl:when test="@displayName">
                <xsl:value-of select="@displayName"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="name()"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:variable>

    <xsl:element name="tr">
    <xsl:attribute name="{$tag}">yes</xsl:attribute>
    <xsl:attribute name="class">expand</xsl:attribute>
    <xsl:attribute name="style">display:block;</xsl:attribute>
    <xsl:attribute name="onclick">exp('tr','<xsl:value-of select="$newtag"/>');</xsl:attribute>
        <td class="expand" colspan="2"><xsl:value-of select="$PropName"/>  (click to toggle display)</td>
    </xsl:element>

    <xsl:element name="tr">
    <xsl:attribute name="{$newtag}">yes</xsl:attribute>
    <xsl:attribute name="class">r<xsl:value-of select="position() mod 2"/></xsl:attribute>
    <xsl:attribute name="style">display:block;</xsl:attribute>
        <td><xsl:value-of select="$PropName"/></td>
        <td>
            <table width="100%" CELLSPACING="0" CELLPADDING="0" BORDER="1">
                <xsl:element name="tr">
                <xsl:attribute name="{$tag}">yes</xsl:attribute>
                <xsl:attribute name="class">head</xsl:attribute>
                <xsl:attribute name="style">display:block;</xsl:attribute>
                   <td>Property</td>
                   <td>Value</td>
                </xsl:element>

                <xsl:apply-templates select="*">
                    <xsl:with-param name="tag" select="$newtag"/>
                </xsl:apply-templates>
            </table>
        </td>
    </xsl:element>
</xsl:template>
</xsl:stylesheet>


